Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms
Class DefaultGetMapHandler

    java.lang.Object
      org.deegree.ogcwebservices.wms.DefaultGetMapHandler

All Implemented Interfaces:
  GetMapHandler

    public class DefaultGetMapHandler

extends Object
implements GetMapHandler

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Field Summary
`(package private) HashMap<String,String>` | `sqls`
`(package private) boolean` | `version130`

Constructor Summary
`DefaultGetMapHandler(WMSConfigurationType configuration, GetMap request)` Creates a new GetMapHandler object.

Method Summary
`List<Callable<Object>>` | `constructThemes()`
`WMSConfigurationType` | `getConfiguration()` returns the configuration used by the handler
`UserStyle` | `getPredefinedStyle(String styleName, String layerName, Layer layer)`
`protected GetMap` | `getRequest()`
`protected CoordinateSystem` | `getRequestCRS()`
`OGCWebServiceResponse` | `performGetMap()` performs a GetMap request and returns the result encapsulated within a `GetMapResult` object.
`GetMapResult` | `render(Theme[] themes, OGCWebServiceException exce)`
`GetMapResult` | `renderMap(List<ExecutionFinishedEvent<Object>> results)` renders the map from the `DisplayElement`s

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version130

    boolean version130

### sqls

    HashMap<String,String> sqls

Constructor Detail

### DefaultGetMapHandler

    public DefaultGetMapHandler(WMSConfigurationType configuration,
                                GetMap request)

  Creates a new GetMapHandler object.

  Parameters:
    `configuration` -
    `request` - request to perform

Method Detail

### getConfiguration

    public WMSConfigurationType getConfiguration()

  returns the configuration used by the handler

  Returns:
    the configuration document

### performGetMap

    public OGCWebServiceResponse performGetMap()
                                        throws OGCWebServiceException

  performs a GetMap request and returns the result encapsulated within a `GetMapResult` object.

  The method throws an WebServiceException that only shall be thrown if an fatal error occurs that makes it impossible to return a result. If something went wrong performing the request (none fatal error) The exception shall be encapsulated within the response object to be returned to the client as requested (GetMap-Request EXCEPTION-Parameter).

  Specified by:
    `performGetMap` in interface `GetMapHandler`
  Returns:
    response to the GetMap response
  Throws:
    `OGCWebServiceException`

### constructThemes

    public List<Callable<Object>> constructThemes()
                                           throws OGCWebServiceException

  Returns:
    a list of callables that construct the maps to be painted
  Throws:
    `OGCWebServiceException`

### getPredefinedStyle

    public UserStyle getPredefinedStyle(String styleName,
                                        String layerName,
                                        Layer layer)
                                 throws StyleNotDefinedException

  Parameters:
    `styleName` -
    `layerName` -
    `layer` -
  Returns:
    the style
  Throws:
    `StyleNotDefinedException`

### renderMap

    public GetMapResult renderMap(List<ExecutionFinishedEvent<Object>> results)
                           throws OGCWebServiceException

  renders the map from the `DisplayElement`s

  Parameters:
    `results` -
  Returns:
    a result object suitable for further processing
  Throws:
    `OGCWebServiceException`

### render

    public GetMapResult render(Theme[] themes,
                               OGCWebServiceException exce)
                        throws InvalidSRSException

  Parameters:
    `themes` -
    `exce` -
  Returns:
    a result object suitable for further processing elsewhere
  Throws:
    `InvalidSRSException`
    `InvalidSRSException`

### getRequest

    protected GetMap getRequest()

  Returns:
    the request that is being handled

### getRequestCRS

    protected CoordinateSystem getRequestCRS()

  Returns:
    the requests coordinate system

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org